/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:err_log.h 12.0$ */
/* $ACIS:err_log.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lpfilter/tools/RCS/err_log.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsiderr_log = "$Header:err_log.h 12.0$";
#endif


/***===================================================================***/

typedef struct ELF {
    			int    (*el_fopen)();
			int    (*el_fclose)();
			int    (*el_freport)();
		   } el_funcs;

typedef struct EL  {
    			char     *el_name;
			FILE     *el_file;
			environ  *el_env;
			long      el_end;
			el_funcs *el_calls;
		   } error_log;

/***===================================================================***/


#define el_File(l)	((l)?(l)->el_file:NULL)
extern int 	  el_debug;

extern int	  el_Init();
extern int        el_AddReport();
extern error_log *el_Open();
extern error_log *el_FmtOpen();
extern int        el_Report();
extern int	  el_Close();

#define EL_NAME_FMT	"/tmp/errlog.%d.%d"
